Bug 463551 - [LTC 6.0 FEAT] 201064:Standby cpu activation/deactivation.
[LTC 6.0 FEAT] 201064:Standby cpu activation/deactivation.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On: 604846 620807
Blocks: 356741 515068 525727
  Show dependency treegraph
 
Reported: 2008-09-23 17:01 EDT by IBM Bug Proxy
Modified: 2010-09-29 04:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 17:02:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 17:01:48 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 17:56 EDT
1. Feature Overview:
Feature Id:	[201064]
a. Name of Feature:	Standby cpu activation/deactivation.
b. Feature Description
Make use of the 'Configure CPU' and 'Deconfigure CPU' SCLP commands to switch cpus between the
standby and the operating state when they are enabled / disabled with the cpu online attribute. This
allows Linux to make use of standby cpus which are not visible until they are activated.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.25

3. Business Case
Improve manageability of Linux Systems. Allow for on-demand adjustment of CPU capacity.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 15:50:39 EDT
RHEL 6 will include a kernel newer than 2.6.25, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 Hans-Joachim Picht 2009-09-22 17:02:14 EDT
Code is included in the rhel6 kernel via upstream. Marked as
CLOSED/CURRENTRELEASE by Hans-Joachim Picht <hpicht@redhat.com>
Comment 3 IBM Bug Proxy 2010-07-06 16:11:00 EDT
------- Comment From mgrf@de.ibm.com 2010-07-06 16:05 EDT-------
Reported the following bug to be fixed for this feature request
LTC 65629   -  RIT1082533- kernel: CPU hotplug vs migration thread

that causes a system hang and should be fixed
Comment 4 IBM Bug Proxy 2010-08-30 10:01:20 EDT
------- Comment From mgrf@de.ibm.com 2010-08-30 09:50 EDT-------
This is verified on R6 snapshots
-> set to verified    Thx

Both reported bugs are also verified ok and closed
66348   -  RIT1219973- [RHEL6.0] system hangs while making standby cpu online/offline in a loop
65629   -  RIT1082533- kernel: CPU hotplug vs migration thread
Comment 5 IBM Bug Proxy 2010-09-29 04:51:28 EDT
------- Comment From gmuelas@de.ibm.com 2010-09-29 04:45 EDT-------
This feature is verified ok.

Note You need to log in before you can comment on or make changes to this bug.